﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushPlatform.Common.Util
{
    /// <summary>
    /// 常量配置
    /// </summary>
    public class ConstConfigHelper
    {
        /// <summary>
        /// 访视日期
        /// </summary>
        public const string VisitDate = "visit time";
        public const string VisitTime = "随访日期";

        /// <summary>
        /// Email
        /// </summary>
        public const string Email = "Email";
        
        /// <summary>
        /// 部门
        /// </summary>
        public const string Department = "department";

        /// <summary>
        /// 受访者姓名
        /// </summary>
        public const string PatientName = "name";
        /// <summary>
        /// 受访者姓名缩写
        /// </summary>
        public const string PatientNameShort = "name short";
        public const string PatientNameShort2 = "姓名缩写";

        public const string Group = "分组";
        public const string Group2 = "组别";
        public const string Group3 = "研究分组";

        /// <summary>
        /// 患者分层随机的层的值
        /// </summary>
        public const string SplitMark = "治疗队列选择";
        /// <summary>
        /// 随机号
        /// </summary>
        public const string PatientNumber = "Random number";
        /// <summary>
        /// 患者入组号
        /// </summary>
        public const string PatientNumber2 = "Patient Number";
        /// <summary>
        /// 患者编号
        /// </summary>
        public const string PatientCode = "Patient Code";
        /// <summary>
        /// 受访者生日
        /// </summary>
        public const string PatientBirthday = "birthday";

        /// <summary>
        /// 发生时间
        /// </summary>
        public const string OccurrenceTime = "occurrence time";

        /// <summary>
        /// 报告日期
        /// </summary>
        public const string ReportTime = "report time";
        /// <summary>
        /// 身份证
        /// </summary>
        public const string IDCard = "id card";
        /// <summary>
        /// 手机号
        /// </summary>
        public const string Mobile = "受试者联系电话";
        public const string Mobile2 = "mobile";
        public const string Mobile3 = "联系电话";
        /// <summary>
        /// 性别
        /// </summary>
        public const string Sex = "性别";
        public const string Sex2 = "sex";

        public const string Age = "年龄";
        public const string Age2 = "age";

        /// <summary>
        /// 医院
        /// </summary>
        public const string HospitalName = "研究中心";

        public const string HosName= "research center";

        public const string HosNumber = "center No";
        /// <summary>
        /// 诊断
        /// </summary>
        public const string Diagnosis = "入ICU主要原因（不定项）";
        /// <summary>
        /// 住院时间
        /// </summary>
        public const string Hospitalization_Time = "入院日期";

        /// <summary>
        /// 手术方式
        /// </summary>
        public const string OperationMethod = "surgery_mode";

        /// <summary>
        /// 全麻方式
        /// </summary>
        public const string GeneralAnesthesiaWay = "general_anesthesia_mode";

        public const string Research = "researcher";
    }

    #region sino
    /// <summary>
    /// 常量配置
    /// </summary>
    public class ConstConfigHelper_Sino
    {
        /// <summary>
        /// 访视日期
        /// </summary>
        public const string VisitDate = "visit time";

        /// <summary>
        /// Email
        /// </summary>
        public const string Email = "Email";

        /// <summary>
        /// 部门
        /// </summary>
        public const string Department = "department";

        /// <summary>
        /// 受访者姓名
        /// </summary>
        public const string PatientName = "name";
        /// <summary>
        /// 受访者姓名缩写
        /// </summary>
        public const string PatientNameShort = "name short";

        public const string Group = "分组";
        public const string Group2 = "组别";
        /// <summary>
        /// 受访者编号
        /// </summary>
        public const string PatientNumber = "Random number";

        /// <summary>
        /// 受访者生日
        /// </summary>
        public const string PatientBirthday = "出生日期";

        /// <summary>
        /// 发生时间
        /// </summary>
        public const string OccurrenceTime = "occurrence time";

        /// <summary>
        /// 报告日期
        /// </summary>
        public const string ReportTime = "report time";
        /// <summary>
        /// 身份证
        /// </summary>
        public const string IDCard = "id card";
        /// <summary>
        /// 手机号
        /// </summary>
        public const string Mobile = "mobile";
        /// <summary>
        /// 性别
        /// </summary>
        public const string Sex = "性别";

        public const string Age = "年龄";
        /// <summary>
        /// 诊断
        /// </summary>
        public const string Diagnosis = "入ICU主要原因（不定项）";
        /// <summary>
        /// 住院时间
        /// </summary>
        public const string Hospitalization_Time = "visit time";
    }
    #endregion

    #region 135 HVBDNA
    /// <summary>
    /// 135 HVB_DNA
    /// </summary>
    public class ConstConfigHelper_135_HBVDNA
    {
        /// <summary>
        /// 模块名称
        /// </summary>
        public const string Module_Name = "HBV DNA";
        /// <summary>
        /// 中心实验室结果
        /// </summary>
        public const string HBVDNA_Center = "中心实验室结果";
        /// <summary>
        /// HBV DNA定量-中心
        /// </summary>
        public const string HBVDNA_Log_Center = "HBV DNA定量-中心";
        /// <summary>
        /// 最小检测值_中心实验室
        /// </summary>
        public const string Min_Detection_Value_Center = "最小检测值_中心实验室";
        /// <summary>
        /// 单位_中心实验室
        /// </summary>
        public const string Unit_Center = "单位_中心实验室";
    }
    #endregion

    #region CURE
    public class ConstConfigHelper_CURE
    {
        #region 需要自动计算的字段所在模块
        public const string Table_Liver = "生化（肝肾功能）";
        public const string Table_ChildScore = "Child-Pugh评分";
        public const string Table_MeldScore = "MELD评分";
        public const string Blood_Coagulation = "凝血功能";
        #endregion

        #region 计算Meld评分

        public const string Creatinine = "肌酐（Cr）";

        public const string TotalBilirubin = "总胆红素";

        public const string IsClotting_Check= "是否进行凝血检查";

        public const string InternationalNormalizedRatio = "国际标准化比值（INR）";

        public const string MeldScore = "MELD score";
        #endregion

        #region Child评分
        public const string GanXingNaoChild = "肝性脑病-childpugh评分";

        public const string FuShuiChild = "腹水-childpugh评分";

        public const string TotalBilirubinChild = "总胆红素-childpugh评分";

        public const string PTINRChild = "INR-childpugh评分";

        public const string BaiDanBai = "白蛋白";

        public const string BaiDanBaiChild = "白蛋白-childpugh评分";

        public const string ChildPughScore = "Child-pugh score";
        #endregion

        #region 计算肾小球滤过率(GFR)
        public const string GFR = "肾小球滤过率(GFR)";
        #endregion
    }
    #endregion
}
